For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddDialogflowKey
        • POSTSetDialogflowKey
        • POSTDelDialogflowKey
        • POSTGetDialogflowKeys
        • POSTBindDialogflowKeys
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceDialogflow Credentials

GetDialogflowKeys

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetDialogflowKeys
POST
/platform_api/GetDialogflowKeys
$curl -X POST "https://api.voximplant.com/platform_api/GetDialogflowKeys?dialogflow_key_id=42&application_name=customer.support.voximplant.com&application_id=101" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": [
3 {
4 "dialogflow_key_id": 42,
5 "content": {
6 "project_id": "customer-support-voximplant"
7 },
8 "applications": [
9 {
10 "application_id": 101,
11 "application_name": "customer.support.voximplant.com",
12 "modified": "2024-06-10 15:45:00",
13 "secure_record_storage": true
14 }
15 ]
16 }
17 ]
18}

Gets Dialogflow keys.

Allowed roles: Owner, Admin, Developer.

Example request: Get push credentials.

Was this page helpful?
Previous

DelDialogflowKey

Next

BindDialogflowKeys

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

dialogflow_key_idintegerOptional
Dialogflow key's ID
application_namestringOptional
Name of the bound application
application_idintegerOptional
ID of the bound application

Response

Successful response
resultlist of objects